/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// ConnectionTypes.h

#ifndef __CONNECTION_TYPES__
#define __CONNECTION_TYPES__

typedef struct TCPConnectionData {
	char* hostname;
	int port;
} TCPConnectionData;

typedef struct DialUpConnectionData {
	char* device;
	char* initString;

	/* Why dialString and not phoneNumber? this doubles as the mecahnism to 
	 * reach the outside (9,) or disable call waiting (*70) before dialing 
	 * NOTE: ATDT required! allows the flexibility of pulse dialing if necc. */
	char* dialString;

	/* This must be neccesary, as AOL software requires you to specify it.      *
	 * the difference probably affects only establishing the network connection */
	enum network {
		AOLNet = 0,
		AOLGLOBALNet = 1,
		SprintNet = 3
	} network;

	int timeout;

} DialUpConnectionData;

#endif __CONNECTION_TYPES__
