/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// CroalP3.c

#include <stdio.h>
#include <string.h>

#include "AOLProtocol.h"
#include "P3.h"

/* As I'm not sure what P3 version James based his code on originally (though I assume it to
	be a Windows client) I cannot stub it out properly. Rather than misrepresent the code, I
	stuck it here for now.
	SBW - 12/28/99
*/

XAOLError Mod_APGetInfo (unsigned char* arch, unsigned char* versionMajor, unsigned char* versionMinor) {
	*arch = 9;
	*versionMajor = 184;
	*versionMinor = 1;
	
	return (No_Error);
	}

XAOLError Mod_APGetInitPacketData (InitData* packetData) {
	unsigned char initPacket[] = { 0x00, 0x00, 0x00, 0x00, 0x00,
                        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
                        0x00, 0x00, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00,
                        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
                        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
                        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
                        0x00 };
	
	packetData->length = sizeof(initPacket);                       
    memcpy((void*) packetData->data, (void*) initPacket, sizeof(initPacket));
    
    return (No_Error);
	}

XAOLError Mod_APGetSignOnPacketData (SignOnData* sod) {
	char header[] = { 0x00, 0x01, 0x00, 0x01, 0x00, 0x01,
							0x0a, 0x01, 0x01, 0x01, 0x0b, 0x01, 0x01, 0x03,
							0x01 };
	char snTrailer[] = { 0x01, 0x1d, 0x00, 0x01,
							0x1d, 0x00, 0x01, 0x0a, 0x01, 0x02, 0x03, 0x01 };
	char trailer[] = { 0x01, 0x1d, 0x00, 0x00, 0x02, 0x00 };
	
	sod->hLength = sizeof(header);
	sod->stLength = sizeof(snTrailer);
	sod->fLength = sizeof(trailer);	
	memcpy((void*) sod->header, (void*) header, sizeof(header));
	memcpy((void*) sod->snTrailer, (void*) snTrailer, sizeof(snTrailer));
	memcpy((void*) sod->footer, (void*) trailer, sizeof(trailer));
	
	return (No_Error);
	}

int Mod_APCheckSignOn (P3* p3) {
	if ((p3->length - 3) == 6 &&
				p3->data[0] == 0x44 && p3->data[1] == 0x33 &&
				p3->data[2] == 0x2d && p3->data[3] == 0x2d &&
				p3->data[4] == 0x2d && p3->data[5] == 0x2d)
		return (AP_Success);
	else if ((p3->length - 3) == 3 &&
				p3->data[0] == 0x64 && p3->data[1] == 0x70 &&
				p3->data[2] == 0x01)
		return (AP_BadPassword);
	else
		return (AP_UnknownResponse);
	}