#include "tc_socket.h"
#include <string.h>
#include <stdio.h>

extern ThreadedConnectionPtr myConnectionList;
extern size_t myConnectionListSize;

int tcwrite (int index, char* buffer, size_t size) {
	ConnectionError theError;
	int bytesSent;
	
	theError = SendDataRaw (&myConnectionList[index], buffer, size, &bytesSent);
	return (bytesSent);
	}
	
int tcread  (int index, char* buffer, size_t size) {
	int result;
	
	snprintf(buffer, size, myConnectionList[index].buffer);
	result = myConnectionList[index].bytes;
	myConnectionList[index].bytes = 0;
	return (result);
	}