/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// UnixDebug.h

#ifndef __UNIX_DEBUG__
#define __UNIX_DEBUG__

#include "XPlatform.h"
#include "XDebug.h"

#include <assert.h>

#if DEBUG
	#include <stdio.h>	
	#define XAOL_DEBUG_Printf_ if (XL_Debug) printf
	#define XAOL_DEBUG_Print_ if (XL_Debug) perror
#else
	#define XAOL_DEBUG_Printf_ ((void)0)
	#define XAOL_DEBUG_Print_ ((void)0)
#endif DEBUG

#define XAOL_Assert_(_condition) assert((_condition))
	
#endif __UNIX_DEBUG__