/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// CRC.c

#include "CRC.h"

unsigned short CRC16 (char* inBuffer, int inLength) {
	unsigned short theCRC = 0;	
	int theIterator;
	int theRunner;
	unsigned short theShort;
	
	XAOL_AssertIfNULL_(inBuffer);
	
	for (theIterator = 0; theIterator < inLength; theIterator++) {				
		theShort = (unsigned short) inBuffer[theIterator];
		
		for (theRunner = 0; theRunner < 8; theRunner++) {
			if ((theCRC ^ theShort) & 1)
				theCRC = (theCRC >> 1) ^ 0xA001;
			else
				theCRC >>= 1;
			theShort >>= 1;
    		}
  		}

	return (theCRC);
	}
