/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// IPTunnel.c

#include "Modules.h"

#include <string.h>
#include <stdio.h>

Module* thisModule;

#define kVersion 0.1

// Token types for this module
#define k
	
XAOLError Module_Init (Module* module) {
	thisModule = module;
	snprintf(thisModule->name, kModuleNameLen, "IP Tunnel - Get online through AOL");
	thisModule->version = kVersion;
	thisModule->type = Mod_Plugin;
	
	return (No_Error);
	}

XAOLError Module_Start (Module* module, AOLSession* session) {
	XAOLError error;
	
	error = XAERegister (IPParser);
	
	return (error);
	}
	
void IPParser (XAOLEvent event) {
	switch (event.what) {
		case kSignOnEvent:
			RequestIP(session);
			break;
		
		case kSignOffEvent:
			break;
		
		default:
			break;
		}
	}
	
void RequestIP (AOLSession* session) {
	XAOLError error;
	unsigned char ipInitToken = {121, 97};
	
	error = PutToken (session, ipInitToken, NULL, sizeof(ipInitToken));
	if (error == No_Error) {		
		error = AStreamAdd(session, "7961", SetupIP, NULL);
		error = AStreamAdd(session, "7963", DataIn, NULL);
		}
	else {
		// Error handling
		}
	}

void SetupIP (AOLSession*, P3* p3, void*) {
	}

void DataIn (AOLSession*, P3* p3, void*) {
	}