/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// MacOSDebug.c

#include "MacOSDebug.h"

#include <SIOUX.h>
#include <stdio.h>
#include <stdarg.h>

void Debug_Init () {
	// Set up the debugging environment
	// Setup SIOUX
	SIOUXSettings.initializeTB = false;
	SIOUXSettings.standalone = false;
	SIOUXSettings.setupmenus = false;
	
	#if XAOL_DEBUG_DCON
		dopen("XAOL Log");
	#endif
	}

int Debug_Printf (const char* format, ...) {
	va_list args;                            
	char string[2048];
	int i;
	
	va_start(args, format);
	i = vsnprintf(string, 2048, format, args);
	debugstr(string);
	
	return (i);
	}