/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// WinDebug.h

#ifndef __WIN_DEBUG__
#define __WIN_DEBUG__

#include "XPlatform.h"
#include "XDebug.h"

#include <AssertBreak.h>

#if DEBUG
	#include <stdio.h>	
	#define XAOL_DEBUG_Printf_ if (XL_Debug) printf
	#define XAOL_DEBUG_Print_ if (XL_Debug) puts
#else
	#define XAOL_DEBUG_Printf_ ((void)0)
	#define XAOL_DEBUG_Print_ ((void)0)
#endif DEBUG

#define XAOL_Assert_(_condition) if (XL_Debug) assert_break((_condition))
	
#endif __WIN_DEBUG__